Package org.kapott.hbci.tools

## Class TransactionsToXML

- java.lang.Object
- - org.kapott.hbci.tools.TransactionsToXML

    public class TransactionsToXML
    extends java.lang.Object

### Constructor Summary

Constructors
`TransactionsToXML()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createTransactionElements​(org.w3c.dom.Document doc, org.w3c.dom.Element troot, java.util.List<GVRKUms.UmsLine> transactions)`
`org.w3c.dom.Document` `createXMLDocument​(java.util.List<GVRKUms.UmsLine> transactions, java.lang.String rawMT940)`
`void` `writeXMLString​(org.w3c.dom.Document doc, java.io.OutputStream out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TransactionsToXML

    public TransactionsToXML()

### Method Detail

#### createTransactionElements

    public void createTransactionElements​(org.w3c.dom.Document doc,
                                          org.w3c.dom.Element troot,
                                          java.util.List<GVRKUms.UmsLine> transactions)

#### createXMLDocument

    public org.w3c.dom.Document createXMLDocument​(java.util.List<GVRKUms.UmsLine> transactions,
                                                  java.lang.String rawMT940)

#### writeXMLString

    public void writeXMLString​(org.w3c.dom.Document doc,
                               java.io.OutputStream out)